Skip to main content
GET
/
v2
/
ai-agents
/
List AI Agents
curl --request GET \
  --url https://api.example.com/v2/ai-agents/
import requests

url = "https://api.example.com/v2/ai-agents/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/ai-agents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "ai_agent_id": "<string>",
      "agent_name": "<string>",
      "llm": {
        "llm_id": "<string>",
        "llm_type": "<string>",
        "model_name": "<string>",
        "system_prompt": "<string>",
        "model_temperature": 0,
        "llm_name": "<string>",
        "llm_description": "<string>",
        "base_url": "<string>",
        "api_key": "<string>",
        "max_tokens": 123,
        "required_dynamic_data": [
          "<string>"
        ],
        "tools": [
          {}
        ]
      },
      "stt": {
        "provider": "<string>"
      },
      "tts": {
        "provider": "<string>",
        "voice_id": "<string>",
        "voice_name": "<string>",
        "voice_temperature": 0.2
      },
      "created_by_user_id": "<string>",
      "language_code": "en-US",
      "knowledge_base_id": "<string>",
      "enable_user_interruptions": true,
      "minimum_speech_duration_for_interruptions": 0.5,
      "minimum_words_before_interruption": 0,
      "wait_time_before_detecting_end_of_speech": 0.5,
      "ambient_sound": "none",
      "ambient_sound_volume": 1,
      "webhook_url": "<string>",
      "end_call_after_silence_seconds": 10,
      "max_call_duration_seconds": 1800,
      "welcome_message": "<string>",
      "voicemail_detection_timeout_seconds": 90,
      "dynamic_data_config": [
        {
          "url": "<string>",
          "method": "<string>",
          "timeout": 123,
          "headers": {},
          "body": {},
          "query": {},
          "cache": true,
          "response_data": [
            {
              "name": "<string>",
              "data": "<string>",
              "context": "<string>"
            }
          ]
        }
      ],
      "post_call_analysis": [
        {
          "type": "<string>",
          "name": "<string>",
          "description": "<string>",
          "system_prompt": "<string>",
          "examples": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "next_page_token": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Query Parameters

page_size
integer
default:20
Required range: 1 <= x <= 100
page_token
string

Response

Successful Response

data
AIAgentResponse · object[]

List of AI agents matching the query criteria

next_page_token
string | null

Token to retrieve the next page of results. Null if there are no more results